View Issue Details

IDProjectCategoryView StatusLast Update
0015857LazarusWidgetsetpublic2010-03-30 10:15
ReporterFlávio Etrusco Assigned ToPaul Ishenin  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN) 
Fixed in Version0.9.29 (SVN) 
Summary0015857: [patch] AV in GetWindowDebugReport
Descriptiondiff --git a/lcl/interfaces/gtk/gtkproc.inc b/lcl/interfaces/gtk/gtkproc.inc
--- a/lcl/interfaces/gtk/gtkproc.inc
+++ b/lcl/interfaces/gtk/gtkproc.inc
@@ -459,7 +459,7 @@ end;
 
 function GetWindowDebugReport(AWindow: PGDKWindow): string;
 var
- p: Pgpointer;
+ p: gpointer;
   Widget: PGtkWidget;
   WindowType: TGdkWindowType;
   Width: Integer;
@@ -494,7 +494,7 @@ begin
     GDK_WINDOW_DIALOG]
   then begin
     p:=nil;
- gdk_window_get_user_data(AWindow,p);
+ gdk_window_get_user_data(AWindow,@p);
     if GtkWidgetIsA(PGTKWidget(p),gtk_widget_get_type) then begin
       Widget:=PGTKWidget(p);
       Result:=Result+'<Widget['+GetWidgetDebugReport(Widget)+']>';
TagsNo tags attached.
Fixed in Revision23811
LazTarget-
WidgetsetGTK 2
Attached Files

Activities

Paul Ishenin

2010-03-01 08:21

manager   ~0034864

Thanks, applied. Please close if ok.

Issue History

Date Modified Username Field Change
2010-02-27 10:21 Flávio Etrusco New Issue
2010-02-27 10:21 Flávio Etrusco Widgetset => GTK 2
2010-03-01 08:21 Paul Ishenin Fixed in Revision => 23811
2010-03-01 08:21 Paul Ishenin LazTarget => -
2010-03-01 08:21 Paul Ishenin Status new => resolved
2010-03-01 08:21 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2010-03-01 08:21 Paul Ishenin Resolution open => fixed
2010-03-01 08:21 Paul Ishenin Assigned To => Paul Ishenin
2010-03-01 08:21 Paul Ishenin Note Added: 0034864
2010-03-30 10:15 Flávio Etrusco Status resolved => closed